> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Flags

> Returns flags attached to a customer.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/flags
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/flags:
    get:
      tags:
        - Customer
      summary: List Customer Flags
      description: Returns flags attached to a customer.
      operationId: listCustomerFlags
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: velit
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: fbccd96a-0ddd-3766-8626-d510dcb1b0a0
                      name:
                        type: string
                        example: Blair Herzog
                      slug:
                        type: string
                        example: >-
                          molestiae-quaerat-tempora-corporis-ipsa-omnis-occaecati
                example:
                  data:
                    uuid: fbccd96a-0ddd-3766-8626-d510dcb1b0a0
                    name: Blair Herzog
                    slug: molestiae-quaerat-tempora-corporis-ipsa-omnis-occaecati
              example:
                data:
                  uuid: fbccd96a-0ddd-3766-8626-d510dcb1b0a0
                  name: Blair Herzog
                  slug: molestiae-quaerat-tempora-corporis-ipsa-omnis-occaecati
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````